post
https://identity-api.optimizely.com/api/scim/v2/users
SCIM endpoint for adding a user.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Adds a user to the organization. The created user with its attributes is returned to the client. The supported attributes are:
userName– Mapped to the email of the user.active– In a POST, the active setting is ignored and is assumed to be true.name.familyName– The last name of the user.name.givenName– The first name of the user.
SCIM RFC compliance
This endpoint fully complies with the SCIM RFC as it relates to the supported schema.
API payload
{
"UserName": "{{email}}",
"Active": true,
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
"externalId": "${\_\_UUID}",
"name": {
"familyName": "{{last-name}}",
"givenName": "{{first-name}}"
}
}Error conditions
- 409 (Conflict) – A user with the same email address or user name already exists in the SCIM organization or any other organization.
401Unauthorized access to endpoint.
500A server error occurred, please try again.
